/* Foldroid - Mail Folder Selection Tool
 * Copyright (C) 2000-2010 Stefan Westerfeld
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __FOLDROID_FOLDER_H__
#define __FOLDROID_FOLDER_H__

#include <vector>
#include <string>

#include "fddfam.h"

namespace Foldroid {

class Folder : public FamObserver {
private:
  std::string m_filename;
  std::string m_label;
  int         m_messages;
  int         m_new_messages;
  bool        m_file_changed;

public:
  Folder (const std::string& filename, const std::string& label);
  Folder (const Folder& folder);
  ~Folder();

  Folder& operator =(const Folder& folder);

  bool need_update();
  void update();
  void notify_file_changed (const std::string& filename);
  void set_scan_result (int messages, int new_messages);

  std::string filename() const;
  std::string description() const;
  std::string label() const;
};

};
#endif /* __FST_FOLDER_H__ */
/* vim:set ts=8 sw=2 sts=2: */
