#include "fddpattern.h"
#include <string>

using std::string;

namespace Foldroid {

bool
pattern_match (const string& pattern, const string& str)
{
  if (pattern.empty())      // empty pattern only matches empty str
    {
      return str.empty();
    }
  else if (str.empty())     // but not pattern.empty()
    {
      return pattern[0] == '*' && pattern_match (pattern.substr(1), str);
    }
  else if (pattern[0] == '*')
    {
      return pattern_match (pattern, str.substr(1)) || pattern_match (pattern.substr(1), str);
    }
  return (pattern[0] == str[0]) && pattern_match (pattern.substr(1), str.substr(1));
}

}
