/* Foldroid - Mail Folder Selection Tool
 * Copyright (C) 2000-2010 Stefan Westerfeld
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __FST_SCAN_H__
#define __FST_SCAN_H__

#include "fddconfig.h"
#include "fddfolder.h"
#include "fddfam.h"

#include <list>
#include <vector>
#include <string>

namespace Foldroid {

class UserInterface;
class Scan {
private:
  Fam               m_fam;
  Config            m_config;
  std::list<Folder> m_folders;
  int               m_changes;

  void update_folders();

public:
  Scan();

  bool need_update();
  void update (UserInterface& ui);
  const std::list<Folder>& folders();

  int changes();
};

};
#endif /* __FST_SCAN_H__ */

/* vim:set ts=8 sw=2 sts=2: */
